Subject: bug#5955: completions in M-x find-library include .elc files

From: "Aaron S. Hawley" <[email-masked]>
Date: Sat, 24 Jul 2010 20:44:13 -0400

On Fri, Jul 23, 2010 at 6:59 PM, Stefan Monnier
<[email-masked]> wrote:
>> Typing TAB or ? in M-x find-library shows .el and .elc files when it
>> probably should just be the name of the library without the extension.
>
> I added the `push' because in load-library I often want to
> select a particular file (i.e. either the .el or the .elc file).

Doesn't M-x load-library and specifying no extension load the .elc?